NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::DivideCurveBuilder Class Reference

Represents a builder for non-associative divide curve operation. More...

Inheritance diagram for NXOpen::Features::DivideCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CornerOption { CornerOptionByNumber, CornerOptionSelectPoint, CornerOptionAllCornerpoints }
 Represents the Divide Curve at Corner option types. More...
 
enum  EqualSegmentOption { EqualSegmentOptionEqualParameter, EqualSegmentOptionEqualArcLength }
 Represents the Divide Curve equal segment method types. More...
 
enum  InputArcLengthDirectionFlag { InputArcLengthDirectionFlagStart, InputArcLengthDirectionFlagEnd }
 Represents the Divide Curve Input Arc length direction flag. More...
 
enum  KnotPointOption { KnotPointOptionByNumber, KnotPointOptionSelectPoint, KnotPointOptionAllKnotpoints }
 Represents the Divide Curve at Knot option types. More...
 
enum  Types {
  TypesEqualSegments, TypesByBoundingObjects, TypesInputArcLengthSegments, TypesAtKnotpoints,
  TypesAtCorners
}
 Represents the Divide Curve types. More...
 

Public Member Functions

double ArcLength ()
 Returns the arc length
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::BoundingObjectBuilderListBoundingObjects ()
 Returns the Bounding Objects list
Created in NX7.5.1. More...
 
NXOpen::Features::DivideCurveBuilder::CornerOption CornerMethod ()
 Returns the corner method
Created in NX5.0.0. More...
 
int CornerNumber ()
 Returns the corner number
Created in NX5.0.0. More...
 
NXOpen::SelectPointListCornerPoint ()
 Returns the corner point
Created in NX5.0.0. More...
 
NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag DirectionFlag ()
 Returns the input arc length direction flag
Created in NX5.0.0. More...
 
NXOpen::SelectCurveDividingCurve ()
 Returns the select dividing curve
Created in NX5.0.0. More...
 
int EqualArcLengthSegments ()
 Returns the equal arc length segments
Created in NX5.0.0. More...
 
int EqualParameterSegments ()
 Returns the equal parameter segments
Created in NX5.0.0. More...
 
NXOpen::Features::DivideCurveBuilder::EqualSegmentOption EqualSegmentMethod ()
 Returns the equal segment method
Created in NX5.0.0. More...
 
NXOpen::SelectPointListKnotPoint ()
 Returns the knot point
Created in NX5.0.0. More...
 
NXOpen::Features::DivideCurveBuilder::KnotPointOption KnotPointMethod ()
 Returns the knot point method
Created in NX5.0.0. More...
 
int KnotPointNumber ()
 Returns the knot point number
Created in NX5.0.0. More...
 
void SetArcLength (double arcLength)
 Sets the arc length
Created in NX5.0.0. More...
 
void SetCornerMethod (NXOpen::Features::DivideCurveBuilder::CornerOption cornerMethod)
 Sets the corner method
Created in NX5.0.0. More...
 
void SetCornerNumber (int cornerNumber)
 Sets the corner number
Created in NX5.0.0. More...
 
void SetDirectionFlag (NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag directionFlag)
 Sets the input arc length direction flag
Created in NX5.0.0. More...
 
void SetEqualArcLengthSegments (int equalArcLengthSegments)
 Sets the equal arc length segments
Created in NX5.0.0. More...
 
void SetEqualParameterSegments (int equalParameterSegments)
 Sets the equal parameter segments
Created in NX5.0.0. More...
 
void SetEqualSegmentMethod (NXOpen::Features::DivideCurveBuilder::EqualSegmentOption equalSegmentMethod)
 Sets the equal segment method
Created in NX5.0.0. More...
 
void SetKnotPointMethod (NXOpen::Features::DivideCurveBuilder::KnotPointOption knotPointMethod)
 Sets the knot point method
Created in NX5.0.0. More...
 
void SetKnotPointNumber (int knotPointNumber)
 Sets the knot point number
Created in NX5.0.0. More...
 
void SetType (NXOpen::Features::DivideCurveBuilder::Types type)
 Sets the divide type
Created in NX5.0.0. More...
 
NXOpen::Features::DivideCurveBuilder::Types Type ()
 Returns the divide type
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a builder for non-associative divide curve operation.


To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateDivideCurveBuilder
Default values.

Property Value

ArcLength

1.0

CornerNumber

1

EqualArcLengthSegments

2

EqualParameterSegments

2

KnotPointNumber

1


Created in NX5.0.0.

Member Enumeration Documentation

Represents the Divide Curve at Corner option types.

Enumerator
CornerOptionByNumber 

By Number.

CornerOptionSelectPoint 

Screen Position.

CornerOptionAllCornerpoints 

All Cornerpoints.

Represents the Divide Curve equal segment method types.

Enumerator
EqualSegmentOptionEqualParameter 

Equal Parameter.

EqualSegmentOptionEqualArcLength 

Equal Arc length.

Represents the Divide Curve Input Arc length direction flag.

Enumerator
InputArcLengthDirectionFlagStart 

Input Arc length from start.

InputArcLengthDirectionFlagEnd 

Input Arc length from end.

Represents the Divide Curve at Knot option types.

Enumerator
KnotPointOptionByNumber 

By Number.

KnotPointOptionSelectPoint 

Screen Position.

KnotPointOptionAllKnotpoints 

All Knotpoints.

Represents the Divide Curve types.

Enumerator
TypesEqualSegments 

Equal Segments.

TypesByBoundingObjects 

By Bounding Objects.

TypesInputArcLengthSegments 

Input Arc Length Segments.

TypesAtKnotpoints 

At Knotpoints.

TypesAtCorners 

At Corners.

Member Function Documentation

double NXOpen::Features::DivideCurveBuilder::ArcLength ( )

Returns the arc length
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::BoundingObjectBuilderList* NXOpen::Features::DivideCurveBuilder::BoundingObjects ( )

Returns the Bounding Objects list
Created in NX7.5.1.



License requirements : None

NXOpen::Features::DivideCurveBuilder::CornerOption NXOpen::Features::DivideCurveBuilder::CornerMethod ( )

Returns the corner method
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::DivideCurveBuilder::CornerNumber ( )

Returns the corner number
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPointList* NXOpen::Features::DivideCurveBuilder::CornerPoint ( )

Returns the corner point
Created in NX5.0.0.



License requirements : None

NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag NXOpen::Features::DivideCurveBuilder::DirectionFlag ( )

Returns the input arc length direction flag
Created in NX5.0.0.



License requirements : None

NXOpen::SelectCurve* NXOpen::Features::DivideCurveBuilder::DividingCurve ( )

Returns the select dividing curve
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::DivideCurveBuilder::EqualArcLengthSegments ( )

Returns the equal arc length segments
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::DivideCurveBuilder::EqualParameterSegments ( )

Returns the equal parameter segments
Created in NX5.0.0.



License requirements : None

NXOpen::Features::DivideCurveBuilder::EqualSegmentOption NXOpen::Features::DivideCurveBuilder::EqualSegmentMethod ( )

Returns the equal segment method
Created in NX5.0.0.



License requirements : None

NXOpen::SelectPointList* NXOpen::Features::DivideCurveBuilder::KnotPoint ( )

Returns the knot point
Created in NX5.0.0.



License requirements : None

NXOpen::Features::DivideCurveBuilder::KnotPointOption NXOpen::Features::DivideCurveBuilder::KnotPointMethod ( )

Returns the knot point method
Created in NX5.0.0.



License requirements : None

int NXOpen::Features::DivideCurveBuilder::KnotPointNumber ( )

Returns the knot point number
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::DivideCurveBuilder::SetArcLength ( double  arcLength)

Sets the arc length
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
arcLengtharclength
void NXOpen::Features::DivideCurveBuilder::SetCornerMethod ( NXOpen::Features::DivideCurveBuilder::CornerOption  cornerMethod)

Sets the corner method
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
cornerMethodcornermethod
void NXOpen::Features::DivideCurveBuilder::SetCornerNumber ( int  cornerNumber)

Sets the corner number
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
cornerNumbercornernumber
void NXOpen::Features::DivideCurveBuilder::SetDirectionFlag ( NXOpen::Features::DivideCurveBuilder::InputArcLengthDirectionFlag  directionFlag)

Sets the input arc length direction flag
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
directionFlagdirectionflag
void NXOpen::Features::DivideCurveBuilder::SetEqualArcLengthSegments ( int  equalArcLengthSegments)

Sets the equal arc length segments
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
equalArcLengthSegmentsequalarclengthsegments
void NXOpen::Features::DivideCurveBuilder::SetEqualParameterSegments ( int  equalParameterSegments)

Sets the equal parameter segments
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
equalParameterSegmentsequalparametersegments
void NXOpen::Features::DivideCurveBuilder::SetEqualSegmentMethod ( NXOpen::Features::DivideCurveBuilder::EqualSegmentOption  equalSegmentMethod)

Sets the equal segment method
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
equalSegmentMethodequalsegmentmethod
void NXOpen::Features::DivideCurveBuilder::SetKnotPointMethod ( NXOpen::Features::DivideCurveBuilder::KnotPointOption  knotPointMethod)

Sets the knot point method
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
knotPointMethodknotpointmethod
void NXOpen::Features::DivideCurveBuilder::SetKnotPointNumber ( int  knotPointNumber)

Sets the knot point number
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
knotPointNumberknotpointnumber
void NXOpen::Features::DivideCurveBuilder::SetType ( NXOpen::Features::DivideCurveBuilder::Types  type)

Sets the divide type
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
typetype
NXOpen::Features::DivideCurveBuilder::Types NXOpen::Features::DivideCurveBuilder::Type ( )

Returns the divide type
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.